### Syncfusion WPF Grid components
This package contains [WPF DataGrid](https://www.syncfusion.com/wpf-controls/datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [WPF TreeGrid](https://www.syncfusion.com/wpf-controls/treegrid?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), and [WPF Multi Column DropDown](https://www.syncfusion.com/wpf-controls/multi-column-dropdown?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) components for WPF application.

### System Requirements

* [System Requirements](https://help.syncfusion.com/wpf/installation/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

### WPF DataGrid

The [WPF DataGrid](https://www.syncfusion.com/wpf-controls/datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) component is used for efficiently displaying and manipulating tabular data. Its rich feature set includes functionalities like data binding, editing, sorting, filtering, grouping, and exporting to Excel and PDF file formats. It has also been optimized for working with millions of records, as well as handling high-frequency, real-time updates.

![WPF DataGrid](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-datagrid.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Docs](https://help.syncfusion.com/wpf/datagrid/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

#### Getting Started

* [Getting Started with WPF DataGrid](https://help.syncfusion.com/wpf/datagrid/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

### WPF TreeGrid

The [WPF TreeGrid](https://www.syncfusion.com/wpf-controls/treegrid?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) component that displays self-relational data in a tree structure user interface like multicolumn treeview. Data can be loaded on demand. Items can be moved between parent nodes using the built-in row drag-and-drop functionality. Its rich feature set includes editing with different column types, selection, and node selection with check boxes, sorting, and filtering.

![WPF TreeGrid](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-treegrid.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/treegrid?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Docs](https://help.syncfusion.com/wpf/treegrid/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

#### Getting Started

* [Getting Started with WPF TreeGrid](https://help.syncfusion.com/wpf/treegrid/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

### WPF Multi Column DropDown

The [WPF Multi Column DropDown](https://www.syncfusion.com/wpf-controls/multi-column-dropdown?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) (Multi Column ComboBox) displays multiple columns in a dropdown. The Syncfusion DataGrid control is embedded for a rich user interface. Users can define the columns in a dropdown as required. The control’s rich feature set includes autocompletion, filtering, sorting, and dropdown customization.

![WPF Multi Column DropDown](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-multi-column-dropdown.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/multi-column-dropdown?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Docs](https://help.syncfusion.com/wpf/multi-column-dropdown/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

#### Getting Started

* [Getting Started with WPF Multi Column DropDown](https://help.syncfusion.com/wpf/multi-column-dropdown/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

### License

This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget). You can purchase a license [here](https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget).

### About Syncfusion

Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 27,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1700+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [ASP.NET Web Forms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), and [jQuery](https://www.syncfusion.com/jquery-ui-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)), mobile ([.NET MAUI](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [.NET MAUI](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20WPF%20sfGrid%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | Toll Free: 1-888-9 DOTNET


   